More updates wrt. the change from tincd->tinc.
authorIvo Timmermans <ivo@lychnis.net>
Sat, 29 Apr 2000 13:56:06 +0000 (13:56 +0000)
committerIvo Timmermans <ivo@lychnis.net>
Sat, 29 Apr 2000 13:56:06 +0000 (13:56 +0000)
doc/tinc.texi
redhat/tinc
redhat/tinc.spec

index 7d86505..59aec48 100644 (file)
@@ -328,12 +328,12 @@ to this daemon.
 
 The effect of this is that the daemon will set its configuration
 ``root'' to /etc/tinc/nn/, where nn is your argument to the -n
 
 The effect of this is that the daemon will set its configuration
 ``root'' to /etc/tinc/nn/, where nn is your argument to the -n
-option. You'll notice that it appears in syslog as ``tincd.nn''.
+option. You'll notice that it appears in syslog as ``tinc.nn''.
 
 However, it is not strictly necessary that you call tinc with the -n
 option. In this case, the network name would just be empty, and it will
 be used as such. tinc now looks for files in /etc/tinc/, instead of
 
 However, it is not strictly necessary that you call tinc with the -n
 option. In this case, the network name would just be empty, and it will
 be used as such. tinc now looks for files in /etc/tinc/, instead of
-/etc/tinc/nn/; the configuration file should be /etc/tinc/tincd.conf,
+/etc/tinc/nn/; the configuration file should be /etc/tinc/tinc.conf,
 and the passphrases are now expected to be in /etc/tinc/passphrases/.
 
 But it is highly recommended that you use this feature of tinc, because
 and the passphrases are now expected to be in /etc/tinc/passphrases/.
 
 But it is highly recommended that you use this feature of tinc, because
@@ -357,7 +357,7 @@ will try to connect to it, on the given port. If this fails, tinc exits.
 @section Configuration file
 
 The actual configuration of the daemon is done in the file
 @section Configuration file
 
 The actual configuration of the daemon is done in the file
-@file{/etc/tinc/nn/tincd.conf}.
+@file{/etc/tinc/nn/tinc.conf}.
 
 This file consists of comments (lines started with a #) or assignments
 in the form of
 
 This file consists of comments (lines started with a #) or assignments
 in the form of
@@ -481,7 +481,7 @@ ifconfig tap0 10.1.54.1 netmask 255.0.0.0
 ifconfig eth0 10.1.54.1 netmask 255.255.0.0 broadcast 10.1.255.255
 @end example
 
 ifconfig eth0 10.1.54.1 netmask 255.255.0.0 broadcast 10.1.255.255
 @end example
 
-and in /etc/tinc/tincd.conf:
+and in /etc/tinc/tinc.conf:
 
 @example
 TapDevice = /dev/tap0
 
 @example
 TapDevice = /dev/tap0
@@ -496,7 +496,7 @@ ifconfig tap0 10.2.1.12 netmask 255.0.0.0
 ifconfig eth0 10.2.43.8 netmask 255.255.0.0 broadcast 10.2.255.255
 @end example
 
 ifconfig eth0 10.2.43.8 netmask 255.255.0.0 broadcast 10.2.255.255
 @end example
 
-and in /etc/tinc/tincd.conf:
+and in /etc/tinc/tinc.conf:
 
 @example
 TapDevice = /dev/tap0
 
 @example
 TapDevice = /dev/tap0
@@ -517,7 +517,7 @@ ifconfig tap0 10.3.69.254 netmask 255.0.0.0
 ifconfig eth0 10.3.69.254 netmask 255.255.0.0 broadcast 10.3.255.255
 @end example
 
 ifconfig eth0 10.3.69.254 netmask 255.255.0.0 broadcast 10.3.255.255
 @end example
 
-and in /etc/tinc/A/tincd.conf:
+and in /etc/tinc/A/tinc.conf:
 
 @example
 MyVirtualIP = 10.3.69.254/16
 
 @example
 MyVirtualIP = 10.3.69.254/16
@@ -537,7 +537,7 @@ ifconfig tap0 10.4.3.32 netmask 255.0.0.0
 ifconfig tap0 10.4.3.32 netmask 255.255.0.0 broadcast 10.4.255.255
 @end example
 
 ifconfig tap0 10.4.3.32 netmask 255.255.0.0 broadcast 10.4.255.255
 @end example
 
-and in /etc/tinc/tincd.conf:
+and in /etc/tinc/tinc.conf:
 
 @example
 MyVirtualIP = 10.4.3.32/16
 
 @example
 MyVirtualIP = 10.4.3.32/16
@@ -645,7 +645,7 @@ generated automatically, so may be more up-to-date.
 @table @asis
 @item -c, --config=FILE
 Read configuration options from FILE. The default is
 @table @asis
 @item -c, --config=FILE
 Read configuration options from FILE. The default is
-@file{/etc/tinc/nn/tincd.conf}.
+@file{/etc/tinc/nn/tinc.conf}.
 
 @item -d
 Increase debug level. The higher it gets, the more gets
 
 @item -d
 Increase debug level. The higher it gets, the more gets
@@ -660,7 +660,7 @@ packets themselves.
 
 @item -k, --kill
 Attempt to kill a running tincd and exit. A TERM signal (15) gets sent
 
 @item -k, --kill
 Attempt to kill a running tincd and exit. A TERM signal (15) gets sent
-to the daemon that his its PID in /var/run/tincd.nn.pid.
+to the daemon that his its PID in /var/run/tinc.nn.pid.
 
 Because it kills only one tincd, you should use -n here if you use it
 normally.
 
 Because it kills only one tincd, you should use -n here if you use it
 normally.
index aa404b3..8b9e173 100644 (file)
@@ -44,7 +44,7 @@ fi
 # $1 ... VPN to load
 
 vpn_load () {
 # $1 ... VPN to load
 
 vpn_load () {
-    CFG="$TCONF/$1/tincd.conf"
+    CFG="$TCONF/$1/tinc.conf"
     [ -f $CFG ] || { echo "Error: $CFG does not exist" >&2 ; return 1 }
     
     # load TINCD config
     [ -f $CFG ] || { echo "Error: $CFG does not exist" >&2 ; return 1 }
     
     # load TINCD config
@@ -153,7 +153,7 @@ vpn_stop () {
     ip route flush dev $TAP &> /dev/null
     
     # kill the tincd daemon
     ip route flush dev $TAP &> /dev/null
     
     # kill the tincd daemon
-    PID="$TPIDS/tincd.$1.pid"
+    PID="$TPIDS/tinc.$1.pid"
     if [ -f $PID ]; then
         $TINCD --net="$1" --kill &> /dev/null
         RET=$?
     if [ -f $PID ]; then
         $TINCD --net="$1" --kill &> /dev/null
         RET=$?
@@ -204,7 +204,7 @@ case "$1" in
     status)
        echo -n "Currently running VPNs: "
        for vpn in `ls -1 $TCONF`; do
     status)
        echo -n "Currently running VPNs: "
        for vpn in `ls -1 $TCONF`; do
-           PID="$TPIDS/tincd.$vpn.pid"
+           PID="$TPIDS/tinc.$vpn.pid"
            echo -n "$vpn "
            if [ -f $PID -a `ps ax | grep "^ *$(cat $PID)" | wc -l` -eq 1 ] 
            then
            echo -n "$vpn "
            if [ -f $PID -a `ps ax | grep "^ *$(cat $PID)" | wc -l` -eq 1 ] 
            then
index 5419e8f..7887d90 100644 (file)
@@ -1,13 +1,14 @@
 Summary: tinc vpn daemon
 Name: tinc
 Summary: tinc vpn daemon
 Name: tinc
-Version: 1.0
-Release: pre1
+Version: 1.0pre1
+Release: 1
 Copyright: GPL
 Copyright: GPL
-Group: Networking
+Group: System Environment/Daemons
 URL: http://tinc.nl.linux.org/
 Source0: %{name}-%{version}.tar.gz
 Buildroot: /var/tmp/%{name}-%{version}-%{release}
 URL: http://tinc.nl.linux.org/
 Source0: %{name}-%{version}.tar.gz
 Buildroot: /var/tmp/%{name}-%{version}-%{release}
-Requires: /usr/bin/texi2html /usr/bin/install /usr/bin/patch
+#for building the package the following is required:
+# /usr/bin/texi2html /usr/bin/install /usr/bin/patch
 
 %description
 tinc is cool!
 
 %description
 tinc is cool!
@@ -18,24 +19,23 @@ See http://tinc.nl.linux.org/
 %setup -q -n %{name}-%{version}
 
 %build
 %setup -q -n %{name}-%{version}
 
 %build
-#autoconf
-#automake
 ./configure --prefix=/usr --sysconfdir=/etc
 make
 ./configure --prefix=/usr --sysconfdir=/etc
 make
-texi2html doc/tinc.texi
+/usr/bin/texi2html doc/tinc.texi
 
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
 
 
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
 
-install -D redhat/tinc $RPM_BUILD_ROOT/etc/rc.d/init.d/
+/usr/bin/install -D redhat/tinc $RPM_BUILD_ROOT/etc/rc.d/init.d/
 
 ME=my.vpn.ip.number
 PEER=peer.vpn.ip.number
 PEEREAL=peer.real.ip.number
 
 
 ME=my.vpn.ip.number
 PEER=peer.vpn.ip.number
 PEEREAL=peer.real.ip.number
 
+umask 077
 mkdir -p $RPM_BUILD_ROOT/etc/tinc/$PEER/passphrases
 mkdir -p $RPM_BUILD_ROOT/etc/tinc/$PEER/passphrases
-cat <<END >$RPM_BUILD_ROOT/etc/tinc/$PEER/tincd.conf
+cat <<END >$RPM_BUILD_ROOT/etc/tinc/$PEER/tinc.conf
 #sample
 TapDevice = /dev/tap0
 ConnectTo = $PEEREAL
 #sample
 TapDevice = /dev/tap0
 ConnectTo = $PEEREAL
@@ -75,16 +75,13 @@ END
 %postun
 
 %files
 %postun
 
 %files
-
 %doc AUTHORS ChangeLog NEWS README THANKS *.html
 %doc AUTHORS ChangeLog NEWS README THANKS *.html
-
-#%defattr(-,root,root)
 %config /etc/tinc
 /etc/rc.d
 /usr/sbin
 /usr/lib/tinc
 /usr/man
 %config /etc/tinc
 /etc/rc.d
 /usr/sbin
 /usr/lib/tinc
 /usr/man
-/usr/info
+/usr/info/tinc.info
 
 %changelog
 * Tue Apr 18 2000 Mads Kiileric <mads@kiilerich.com>
 
 %changelog
 * Tue Apr 18 2000 Mads Kiileric <mads@kiilerich.com>